Take the 2-minute tour ×
Geographic Information Systems Stack Exchange is a question and answer site for cartographers, geographers and GIS professionals. It's 100% free, no registration required.

i'm struggling updating my installation of PostgreSQL/PostGIS, from 9.1/1.5 to 9.2/2.1.

I'm on OSX Mountain Lion and using the very useful ports from W. Kyngesburye. I followed the procedure :

  • Updated PostGIS 1.5 to 2.0
  • Dumped databases
  • Updated databases to postgis 2.0
  • Installed PostgreSQL 9.2 and PostGIS 2.1

I'm stuck at the step of using pg_upgrade i've got an error saying :

Could not load library $libdir/postgis-2.0 ERROR: could not access file "$libdir/postgis-2.0": No such file or directory

Could not load library $libdir/rtpostgis-2.0 ERROR: could not access file $libdir/rtpostgis-2.0: No such file or directory

Those libraries are in /usr/local/pgsql-9.1/lib

pg_config returns that the lib directory is /usr/local/pgsql-9.2/lib

If i switch the symbolic link /usr/local/pgsql to 9.1 again, same problem.

Thanks for your help, i'm very eager to use the new functions of 9.2/2.0 :-)

share|improve this question
add comment

1 Answer 1

up vote 0 down vote accepted

A friend of mine at Gis-Blog.fr found the answer : i had to install PostGIS 2.0 for PostgreSQL 9.2 too.

Luckily, it was available at the "Software archive" page of KyngChaos : http://www.kyngchaos.com/software/archive

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.